

<template>

<v-menu :close-on-content-click="false" :nudge-width="200" v-model="menu" offset-y>
    <v-btn slot="activator" flat>
        <v-icon dark>settings</v-icon>
    </v-btn>
    <v-card>
        <v-list>
            <v-list-tile avatar>
                <v-list-tile-content>
                    <v-list-tile-title>Settings</v-list-tile-title>
                </v-list-tile-content>
                <v-list-tile-action>
                    <!--<v-btn :class="close ? 'red--text' : ''" icon @click="menu = false">
                        <v-icon>clear</v-icon>
                    </v-btn>-->
                </v-list-tile-action>
            </v-list-tile>
        </v-list>
        <v-divider></v-divider>
        <v-list>
            <v-list-tile>
                <v-list-tile-action>
                    <v-switch v-model="message" color="purple"></v-switch>
                </v-list-tile-action>
                <v-list-tile-title>Enable flux capacitor</v-list-tile-title>
            </v-list-tile>
            <v-list-tile>
                <v-list-tile-action>
                    <v-switch v-model="hints" color="purple"></v-switch>
                </v-list-tile-action>
                <v-list-tile-title>BFG9000</v-list-tile-title>
            </v-list-tile>
        </v-list>
        <v-divider></v-divider>
        <v-list>
            <v-list-group v-for="item in items" v-model="item.active" :key="item.title" :prepend-icon="item.action" no-action>
                <v-list-tile slot="activator">
                    <v-list-tile-content>
                        <v-list-tile-title>{{ item.title }}</v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>
                <v-list-tile v-for="subItem in item.items" :key="subItem.title" @click="">
                    <v-list-tile-content>
                        <v-list-tile-title>{{ subItem.title }}</v-list-tile-title>
                    </v-list-tile-content>
                    <v-list-tile-action>
                        <v-icon>{{ subItem.action }}</v-icon>
                    </v-list-tile-action>
                </v-list-tile>
            </v-list-group>
        </v-list>
        <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn flat @click="menu = false">Cancel</v-btn>
            <v-btn color="primary" flat @click="menu = false">Save</v-btn>
        </v-card-actions>
    </v-card>
</v-menu>

</template>

<script>

// export default {
//   data: () => ({
//     menu: false,
//     message: false,
//     hints: true
//   })
// }

export default {
    data() {
        return {
            items: [{
                
                action: 'healing',
                title: 'Health',
                items: [{
                    title: 'List Item'
                }]
            }, {
                action: 'content_cut',
                title: 'Office',
                items: [{
                    title: 'List Item'
                }]
            }, {
                action: 'local_offer',
                title: 'Promotions',
                items: [{
                    title: 'List Item'
                }]
            }],

            menu: false,
            message: false,
            hints: true

        }
    }
}

</script>
